Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class ExtendsQueueEntry

    java.lang.Object
      org.hibernate.cfg.ExtendsQueueEntry

    public class ExtendsQueueEntry

extends Object

Represents a mapping queued for delayed processing to await processing of an extends entity upon which it depends.

Constructor Summary
`ExtendsQueueEntry(String explicitName, String mappingPackage, XmlDocument metadataXml, Set<String> entityNames)`

Method Summary
`Set<String>` | `getEntityNames()`
`String` | `getExplicitName()`
`String` | `getMappingPackage()`
`XmlDocument` | `getMetadataXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendsQueueEntry

    public ExtendsQueueEntry(String explicitName,
                             String mappingPackage,
                             XmlDocument metadataXml,
                             Set<String> entityNames)

Method Detail

### getExplicitName

    public String getExplicitName()

### getMappingPackage

    public String getMappingPackage()

### getMetadataXml

    public XmlDocument getMetadataXml()

### getEntityNames

    public Set<String> getEntityNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.